Post Query

Post Query

Post a query

Request
URI
POST
https://{api_host}/v1/hosts/queries
COPY
Query Parameters
integer
size
Optional
Constraints: default: 4000

Size of the page to retrieve. Default page size is 4000. Optional

integer
page
Optional
Constraints: default: 1

Page number to retrieve. Default page is 1. Optional


Request Body

Post a query request body.

HostCriterion of type(s) application/json
Required  
{
    "name": "One among: HOST_COMPATIBLE_WITH_CLUSTER_USING_PNICS, UNMANAGED_HOSTS_IN_VCENTER, UNMANAGED_HOSTS_IN_HCIMGR, UNMANAGED_HOSTS_IN_HCIMGR_MANUAL_DISCOVERY",
    "subCriteria": [
        {
            "name": "One among: HOST_COMPATIBLE_WITH_CLUSTER_USING_PNICS, UNMANAGED_HOSTS_IN_VCENTER, UNMANAGED_HOSTS_IN_HCIMGR, UNMANAGED_HOSTS_IN_HCIMGR_MANUAL_DISCOVERY",
            "subCriteria": [
                "HostCriterion Object"
            ],
            "arguments": {
                "arguments": "string"
            },
            "description": "string"
        }
    ],
    "arguments": {
        "arguments": "string"
    },
    "description": "string"
}
string
name
Read-Only  

Name of the criterion

subCriteria
Read-Only  

Collection of sub-criterion supported on this criterion

object
arguments
Optional

Arguments required for a particular criterion

string
description
Read-Only  

Description of the criterion

Responses
200

Ok

Returns HostQueryResponse of type(s) application/json
{
    "queryInfo": {
        "status": "string",
        "queryId": "string",
        "errorResponse": {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "notifications": [
                        {
                            "severity": "string",
                            "message": "string",
                            "remediations": [
                                {
                                    "message": "string",
                                    "link": "string"
                                }
                            ],
                            "impactMessage": "string"
                        }
                    ],
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                "Error Object"
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "referenceToken": "string",
                    "label": "string",
                    "remediationUrl": "string"
                }
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        },
        "failure": false,
        "completed": false,
        "processing": false
    },
    "result": {
        "elements": [
            {
                "id": "string",
                "serialNumber": "string",
                "esxiVersion": "string",
                "sshThumbprint": "string",
                "sslThumbprint": "string",
                "fqdn": "string",
                "hardwareVendor": "string",
                "hardwareModel": "string",
                "ipAddresses": [
                    {
                        "ipAddress": "string",
                        "type": "One among: MANAGEMENT, VSAN, VMOTION, NFS, VSAN_EXTERNAL",
                        "ipAddressVersion": "One among: IPv4, IPv6"
                    }
                ],
                "cpu": {
                    "frequencyMHz": "number",
                    "usedFrequencyMHz": "number",
                    "cores": 0,
                    "cpuCores": [
                        {
                            "frequencyMHz": "number",
                            "model": "string",
                            "manufacturer": "string"
                        }
                    ]
                },
                "memory": {
                    "totalCapacityMB": "number",
                    "usedCapacityMB": "number"
                },
                "storage": {
                    "totalCapacityMB": "number",
                    "usedCapacityMB": "number",
                    "disks": [
                        {
                            "capacityMB": "number",
                            "diskType": "One among: HDD, FLASH",
                            "manufacturer": "string",
                            "model": "string"
                        }
                    ]
                },
                "physicalNics": [
                    {
                        "deviceName": "string",
                        "macAddress": "string",
                        "speed": 0,
                        "unit": "string",
                        "smartNicInfo": {
                            "vendorName": "string",
                            "dpuId": "string"
                        },
                        "state": "One among: INACTIVE, ACTIVE_IN_USE, ACTIVE_NOT_IN_USE"
                    }
                ],
                "networks": [
                    {
                        "id": "string",
                        "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
                        "ipAddressVersion": "IPv6",
                        "ipAddressAssignmentMode": "SLAAC",
                        "vlanId": 0,
                        "mtu": 0,
                        "subnet": "string",
                        "mask": "string",
                        "gateway": "string",
                        "ipPools": [
                            {
                                "start": "string",
                                "end": "string"
                            }
                        ],
                        "freeIps": [
                            "string"
                        ],
                        "usedIps": [
                            "string"
                        ],
                        "usedIpCount": "string",
                        "freeIpCount": "string"
                    }
                ],
                "hostNetworks": [
                    {
                        "type": "string",
                        "vlanId": 0,
                        "mtu": 0
                    }
                ],
                "gpus": [
                    {
                        "deviceName": "string",
                        "vendorName": "string",
                        "vgpuState": "One among: READY, DRIVER_MISSING, NOT_SUPPORTED, NO_NVIDIA_GPU"
                    }
                ],
                "domain": {
                    "id": "string",
                    "name": "string",
                    "type": "string"
                },
                "networkpool": {
                    "id": "string",
                    "name": "string"
                },
                "cluster": {
                    "id": "string",
                    "name": "string"
                },
                "status": "One among: ASSIGNED, UNASSIGNED_USEABLE, UNASSIGNED_UNUSEABLE",
                "compatibleStorageType": "string",
                "bundleRepoDatastore": "string",
                "hybrid": false,
                "softwareInfo": {
                    "baseImage": {
                        "version": "7.0.0-0.0.30340198",
                        "details": {
                            "displayName": "7.0.0-0.0.30340198",
                            "displayVersion": "string",
                            "releaseDate": "string",
                            "releaseTimestamp": "string",
                            "quickPatchCompatibleVersions": [
                                {
                                    "version": "8.0.3-0.0.23174786",
                                    "displayVersion": "8.0 Update 3 - 23174786"
                                }
                            ]
                        }
                    },
                    "addOn": {
                        "version": "2.0-1",
                        "name": "DELL-sample-Addon",
                        "vendor": "Dell",
                        "displayName": "string",
                        "displayVersion": "string"
                    },
                    "components": {
                        "components": {
                            "version": "1.3.2.8-1OEM.650.0.0.4598673",
                            "details": {
                                "vendor": "intel",
                                "displayName": "string",
                                "displayVersion": "string"
                            }
                        }
                    },
                    "removedComponents": {
                        "removedComponents": {
                            "version": "1.3.2.8-1OEM.650.0.0.4598673",
                            "details": {
                                "vendor": "intel",
                                "displayName": "string",
                                "displayVersion": "string"
                            }
                        }
                    },
                    "hardwareSupport": {
                        "packages": {
                            "packages": {
                                "pkg": "string",
                                "version": "string"
                            }
                        }
                    },
                    "alternativeImages": {
                        "alternativeImages": {
                            "baseImage": {
                                "version": "7.0.0-0.0.30340198",
                                "details": {
                                    "displayName": "7.0.0-0.0.30340198",
                                    "displayVersion": "string",
                                    "releaseDate": "string",
                                    "releaseTimestamp": "string",
                                    "quickPatchCompatibleVersions": [
                                        {
                                            "version": "8.0.3-0.0.23174786",
                                            "displayVersion": "8.0 Update 3 - 23174786"
                                        }
                                    ]
                                }
                            },
                            "addOn": {
                                "version": "2.0-1",
                                "name": "DELL-sample-Addon",
                                "vendor": "Dell",
                                "displayName": "string",
                                "displayVersion": "string"
                            },
                            "components": {
                                "components": {
                                    "version": "1.3.2.8-1OEM.650.0.0.4598673",
                                    "details": {
                                        "vendor": "intel",
                                        "displayName": "string",
                                        "displayVersion": "string"
                                    }
                                }
                            },
                            "removedComponents": {
                                "removedComponents": {
                                    "version": "1.3.2.8-1OEM.650.0.0.4598673",
                                    "details": {
                                        "vendor": "intel",
                                        "displayName": "string",
                                        "displayVersion": "string"
                                    }
                                }
                            },
                            "hardwareSupport": {
                                "packages": {
                                    "packages": {
                                        "pkg": "string",
                                        "version": "string"
                                    }
                                }
                            },
                            "selectionCriteria": {
                                "selectionType": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                                "hostBiosIds": [
                                    "string"
                                ],
                                "hostHardware": {
                                    "vendor": "string",
                                    "models": [
                                        "string"
                                    ],
                                    "families": [
                                        "string"
                                    ],
                                    "oemStrings": [
                                        "string"
                                    ]
                                }
                            },
                            "displayName": "string"
                        }
                    }
                },
                "tags": [
                    {
                        "id": "string",
                        "name": "string",
                        "categoryId": "string",
                        "categoryName": "string"
                    }
                ],
                "configurationStatus": "One among: ACTIVE, ACTIVATING, UPGRADING, DISABLED, ERROR, SKIPPED, DEACTIVATING, EXPANDING, SHRINKING, CREATING",
                "datastoreType": "One among: VSAN, VSAN_ESA, VSAN_MAX, NFS, FC, VVOL, VSAN_REMOTE, VMFS",
                "vvolStorageProtocolType": "One among: ISCSI, NFS, FC",
                "managedObjectReferenceId": "string",
                "isStandalone": false,
                "isLifecycleManaged": false,
                "isVsanWitnessHost": false
            }
        ],
        "pageMetadata": {
            "pageNumber": 0,
            "pageSize": 0,
            "totalElements": 0,
            "totalPages": 0
        }
    }
}
object
queryInfo
Read-Only  

Represents the query info.

object
result
Read-Only  

Represents a page of elements of a single type


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v1/hosts/queries